PETSc version 3.15.5
Fix/Edit manual page

# KSPMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorSetFromOptions(KSP ksp, const char opt[], const char name[], void *ctx)

Collective on ksp

### Input Parameters

| ksp | - KSP object you wish to monitor
| opt | - the command line option for this monitor
| name | - the monitor type one is seeking
| ctx | - An optional user context for the monitor, or NULL

### See Also

PetscOptionsGetViewer(), PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

developer

### Location

src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages